.formIntro, .formOutro {
    display: flex;
    flex-wrap: wrap;
    margin-right:-20px;
    height:100%;
    justify-content: center;
    align-items: center;
}

.formIntro div,
.formOutro div {
    width: calc(1/2 *100% - 20px);
    margin-right: 20px;
    border-radius: 16px;
    margin-bottom:20px;
    padding:80px;
    background:#F5F5F5;
    text-align:Center;
    margin-top:-50px;
}

.formIntro t,
.formOutro t{display:block; width:100%; font-size:24px; color:#FFFFFF; line-height:1.3; padding-bottom:40px;}

.formIntro .siteButton,
.formOutro .siteButton{}

.mainPage.hided{overflow:hidden;}

.mainPage.form form{display:block; margin:0; padding:0;}

.mainPage.form .btnsZone{text-align:right; position:relative;}
.mainPage.form .btnsZone .siteButton{margin:0; margin-left:20px;}
.mainPage.form .btnsZone .siteButton.left{position:absolute; left:0;top:0; margin:0;}
.mainPage.form .btnsZone .siteButton.red{background-color:#E53737}
.mainPage.form .btnsZone .siteButton.green{background-color:#37E53D}
/*.mainPage.form .btnsZone .siteButton .grey{background-color:rgba(192, 192, 192, 0.5)}*/
.siteButton.red{background-color:#E53737}
.siteButton.lightred{background-color:#f53030}
.siteButton.green{background-color:#37E53D}
.siteButton.grey{background:rgba(192,192,192, 0.5)}

.mainPage.form .progress{border-radius:8px; position:relative; height:8px; border:1px solid #757780; margin-bottom:50px}
.mainPage.form .progress bar{display:block; position:absolute; left:0;top:0;bottom:0; background-color:#359DAC}

.mainPage.form pageList{display:block; position:absolute; left:0; top:50px; background:#FFFFFF; width:9%; padding:5px; margin-right:-5px;}
.mainPage.form pageList page{display:inline-block; margin:0 5px 5px 0;  background-color:#F5F5F5; font-size:12px; border-radius:5px; padding:5px; line-height:1; cursor:pointer; white-space:nowrap; text-align:center; width:calc(50% - 5px)}
.mainPage.form pageList page.active{background-color:#FF8800;}

.mainPage.form .row{display: flex; flex-wrap: wrap; margin-right:-20px; margin-bottom:20px;}
.mainPage.form .row .formLine{margin-right: 20px; margin-bottom:0;}

.mainPage.form .row:last-child{margin-bottom:0}

.mainPage.form .formLine.s100{width: calc(1 *100% - 20px);}
.mainPage.form .formLine.s75{width: calc(3/4 *100% - 20px);}
.mainPage.form .formLine.s50{width: calc(1/2 *100% - 20px);}
.mainPage.form .formLine.s60{width: calc(100% - 40% - 20px);}
.mainPage.form .formLine.s40{width: calc(100% - 60% - 20px);}
.mainPage.form .formLine.s25{width: calc(1/4 *100% - 20px);}
.mainPage.form .formLine.s15{width: calc(1/8 *100% - 20px);}
.row{display: flex; flex-wrap: wrap; margin-right:-20px; margin-bottom:20px;}
.row .formLine{margin-right: 20px; margin-bottom:0;}
.formLine.s100{width: calc(1 *100% - 20px);}
.formLine.s75{width: calc(3/4 *100% - 20px);}
.formLine.s50{width: calc(1/2 *100% - 20px);}
.formLine.s60{width: calc(100% - 40% - 20px);}
.formLine.s40{width: calc(100% - 60% - 20px);}
.formLine.s25{width: calc(1/4 *100% - 20px);}
.formLine.s15{width: calc(1/8 *100% - 20px);}

/*.mainPage.form .formLine .name i{display:none}*/
.row .formLine .name{font-size:22px}
.row .formline .name{font-size:22px}
/*form > div > div > div > div > div.name{font-size:20px; color: #0e0e0e; font-weight: bold;}*/
/*.mainPage.form .formLine[field=field_1_0_0],*/
/*.mainPage.form .formLine[field=field_1_1_0]{display:block; width:100%}*/

.mainPage.form .formLine.unknown .name{color:rgba(255,171,46,1)}


.mainPage.form .formLine.unknown .input input,
.mainPage.form .formLine.unknown .input textarea,
.mainPage.form .formLine.unknown .input .likeInput,
.mainPage.form .formLine.unknown select.ignore
{
    -webkit-box-shadow:0px 0px 3px 3px rgba(255,171,46,0.9);
    -moz-box-shadow: 0px 0px 3px 3px rgba(255,171,46,0.9);
    box-shadow: 0px 0px 3px 3px rgba(255,171,46,0.9);
}


.mainPage.form .column{display:inline-block; vertical-align:top; margin-right:20px}

/*.columns.size2 .column{width: calc(1/2 *100% - 20px)}*/

.mainPage.form form.columns{margin-right:-20px}
.mainPage.form form.columns .btnsZone{margin-right:20px;}
.mainPage.form div.columns.size2 .column{width: calc(1/2 *100% - 40px)}
.mainPage.form form.columns.size2 .column{width: calc(1/2 *100% - 20px)}
.mainPage.form form.columns.size3 .column{width: calc(1/3 *100% - 20px)}
.mainPage.form div.columns.size3 .column{width: calc(1/3 *100% - 40px)}


.devide2 .input {
    columns: 2 auto;
}
.devide3 .input {
    columns: 3 auto;
}
.devide4 .input {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
width: 100%;
    /*columns: 4 auto;*/
    /*height: max-content;*/
}
.devide4 .input .chkBoxArrLine{
    width: 400px;
}

.mainPage.form form div.formblock fa.closer{display:none}

.mainPage.form form div.formblock{display:block; margin-bottom:20px;}

.mainPage.form form div.formdata div.formblock:not(:first-child){position:relative; padding-left:40px; padding-top:20px; border-top:1px solid #cccccc}
.mainPage.form form div.formdata div.formblock:not(:first-child) fa.closer{display:block; position:absolute; left:0; top:20px; font-size:24px; color:#D20000; cursor:pointer}
.formHead{
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 20px;
    margin-top: 20px;
    text-align: center;
}